=== modified file 'grackle/tests/test_client.py'
--- grackle/tests/test_client.py	2012-01-30 18:44:20 +0000
+++ grackle/tests/test_client.py	2012-01-30 18:28:17 +0000
@@ -117,13 +117,12 @@
         return response
 
 
-class ForkedFakeService:
+class ForkedFake:
     """A Grackle service fake, as a ContextManager."""
 
     def __init__(self, port, messages=None, write_logs=False):
         """Constructor.
-
-        :param port: The tcp port to use.
+        :param port: The tcp port to use
         :param messages: A dict of lists of dicts representing messages.  The
             outer dict represents the archive, the list represents the list of
             messages for that archive.
@@ -140,14 +139,14 @@
 
     @staticmethod
     def from_client(client, messages=None):
-        """Instantiate a ForkedFakeService from the client.
+        """Instantiate a ForkedFake from the client.
 
-        :param port: The client to provide service for.
+        :param port: The client  to provide service for.
         :param messages: A dict of lists of dicts representing messages.  The
             outer dict represents the archive, the list represents the list of
             messages for that archive.
         """
-        return ForkedFakeService(client.port, messages)
+        return ForkedFake(client.port, messages)
 
     def is_ready(self):
         """Tell the parent process that the server is ready for writes."""
@@ -233,7 +232,7 @@
 
     def test_put_message(self):
         client = GrackleClient('localhost', 8436)
-        with ForkedFakeService.from_client(client):
+        with ForkedFake.from_client(client):
             client.put_message('arch1', 'asdf', StringIO('This is a message'))
             with ExpectedException(Exception, 'wtf'):
                 client.put_message('arch1', 'asdf',
@@ -251,7 +250,7 @@
 
     def test_get_messages(self):
         client = GrackleClient('localhost', 8435)
-        with ForkedFakeService.from_client(client,
+        with ForkedFake.from_client(client,
             {'baz':
             [{'message_id': 'foo'},
              {'message_id': 'bar'}]}):
@@ -263,7 +262,7 @@
 
     def test_get_messages_by_id(self):
         client = GrackleClient('localhost', 8437)
-        with ForkedFakeService.from_client(client,
+        with ForkedFake.from_client(client,
             {'baz':
             [{'message_id': 'foo'},
              {'message_id': 'bar'}]}):
@@ -273,7 +272,7 @@
 
     def test_get_messages_batching(self):
         client = GrackleClient('localhost', 8438)
-        with ForkedFakeService.from_client(client,
+        with ForkedFake.from_client(client,
             {'baz':
             [{'message_id': 'foo'},
              {'message_id': 'bar'}]}):
@@ -288,7 +287,7 @@
 
     def get_messages_member_order_test(self, key):
         client = GrackleClient('localhost', 8439)
-        with ForkedFakeService.from_client(client,
+        with ForkedFake.from_client(client,
                 {'baz': [{'message_id': 'foo', key: '2011-03-25'},
                  {'message_id': 'bar', key: '2011-03-24'}]}):
             response = client.get_messages('baz')
@@ -307,7 +306,7 @@
 
     def test_get_messages_thread_subject_order(self):
         client = GrackleClient('localhost', 8439)
-        with ForkedFakeService.from_client(client, {'baz': [
+        with ForkedFake.from_client(client, {'baz': [
             {'message_id': 'bar', 'subject': 'y'},
             {'message_id': 'qux', 'subject': 'z'},
             {'message_id': 'foo', 'subject': 'x', 'in_reply_to': 'qux'},
@@ -321,7 +320,7 @@
 
     def test_get_messages_thread_oldest_order(self):
         client = GrackleClient('localhost', 8439)
-        with ForkedFakeService.from_client(client, {'baz': [
+        with ForkedFake.from_client(client, {'baz': [
             {'message_id': 'bar', 'date': 'x'},
             {'message_id': 'qux', 'date': 'z'},
             {'message_id': 'foo', 'date': 'y', 'in_reply_to': 'qux'},
@@ -335,7 +334,7 @@
 
     def test_get_messages_thread_newest_order(self):
         client = GrackleClient('localhost', 8439)
-        with ForkedFakeService.from_client(client, {'baz': [
+        with ForkedFake.from_client(client, {'baz': [
             {'message_id': 'bar', 'date': 'x'},
             {'message_id': 'qux', 'date': 'w'},
             {'message_id': 'foo', 'date': 'y', 'in_reply_to': 'bar'},
@@ -350,7 +349,7 @@
 
     def test_get_messages_unsupported_order(self):
         client = GrackleClient('localhost', 8439)
-        with ForkedFakeService.from_client(client,
+        with ForkedFake.from_client(client,
                 {'baz': [{'message_id': 'foo', 'date': '2011-03-25'},
                  {'message_id': 'bar', 'date': '2011-03-24'}]}):
             with ExpectedException(UnsupportedOrder, ''):
@@ -358,7 +357,7 @@
 
     def test_get_messages_headers_no_headers(self):
         client = GrackleClient('localhost', 8440)
-        with ForkedFakeService.from_client(client,
+        with ForkedFake.from_client(client,
             {'baz': [
                 {'message_id': 'foo'}
             ]}):
@@ -370,7 +369,7 @@
 
     def test_get_messages_headers_exclude_headers(self):
         client = GrackleClient('localhost', 8441)
-        with ForkedFakeService.from_client(client,
+        with ForkedFake.from_client(client,
             {'baz': [
                 {'message_id': 'foo', 'headers': {'From': 'me'}}
             ]}):
@@ -382,7 +381,7 @@
 
     def test_get_messages_headers_include_headers(self):
         client = GrackleClient('localhost', 8442)
-        with ForkedFakeService.from_client(client,
+        with ForkedFake.from_client(client,
             {'baz': [
                 {'message_id': 'foo', 'headers': {'From': 'me', 'To': 'you'}}
             ]}):
@@ -394,7 +393,7 @@
 
     def test_get_messages_max_body_length(self):
         client = GrackleClient('localhost', 8443)
-        with ForkedFakeService.from_client(client,
+        with ForkedFake.from_client(client,
             {'baz': [
                 {'message_id': 'foo', 'body': u'abcdefghi'}
             ]}):
@@ -404,7 +403,7 @@
 
     def test_include_hidden(self):
         client = GrackleClient('localhost', 8444)
-        with ForkedFakeService.from_client(client,
+        with ForkedFake.from_client(client,
             {'baz': [
                 {'message_id': 'foo', 'hidden': True},
                 {'message_id': 'bar', 'hidden': False}

